menu {
  width: 100%;
  padding: 6px 20px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: fixed;
  z-index: 999;
  backdrop-filter: blur(5px);
}
menu::before {
  content: "";
  background-color: #faf5ef;
  opacity: 0.7;
  width: 100%;
  height: 100%;
  position: absolute;
  z-index: 990;
  top: 0;
  left: 0;
}
menu nav {
  width: 50%;
  z-index: 999;
}
menu img {
  z-index: 999;
}
menu ul {
  display: flex;
  justify-content: space-between;
}
menu a {
  font-family: "Inter", Sans-Serif;
  color: #1a1a1a;
  font-size: clamp(24px, 1.6vw, 32px);
}
.punkt-a {
  position: relative;
  text-decoration: none;
}
.punkt-a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  display: block;
  width: 0;
  height: 2px;
  background-color: #1a1a1a;
  opacity: 0.8;
  transition: width 0.4s;
}
.punkt-a:hover::after {
  width: 100%;
}

.mobile-menu {
  display: none;
}
.burger {
  display: none;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 30px;
  height: 24px;
  background: transparent;
  cursor: pointer;
  padding: 0;
  position: relative;
  justify-content: space-between;
  z-index: 1111;
  right: 24px;
  top: 12px;
  position: fixed;
}
.burger-line {
  display: block;
  width: 44px;
  height: 3px;
  border-radius: 3px;
  background: #0e0a0a;
  transition: all 0.3s ease;
  transform-origin: center;
}
.burger.active .burger-line:nth-child(1) {
  transform: rotate(45deg) translate(7px, 6px);
}
.burger.active .burger-line:nth-child(2) {
  opacity: 0;
}
.burger.active .burger-line:nth-child(3) {
  transform: rotate(-45deg) translate(5px, -5px);
}
.mobile-menu {
  position: fixed;
  top: 0;
  right: -100%;
  width: 70%;
  height: 100%;
  background: #EFEAE4;
  z-index: 1000;
  transition: right 0.3s ease;
  overflow-y: auto;
  padding: 150px 10px 0 15px;
  box-shadow: 0 0 20px 5px rgba(0, 0, 0, 0.35);
}
.mobile-menu a {
  font-size: 20px;
  font-family: "Inter", Sans-Serif;
  color: #1A1A1A;
  font-weight: 500;
}
.mobile-menu .contacts {
  width: max-content;
  margin-top: 30px;
}
.mobile-menu.active {
  right: 0;
}

@media (max-width: 440px) {
  menu {
    padding: 5px 10px;
  }
  menu img {
    height: 34px;
  }
  menu nav {
    display: none;
  }
  .burger {
    display: grid;
  }
  .mobile-menu {
    display: flex;
    flex-direction: column;
    gap: 30px;
  }
}

footer {
  margin-top: 70px;
  display: flex;
  justify-content: space-between;
  gap: 20px;
}
footer p {
  font-size: 16px;
  color: #07583b;
}
footer a {
  color: #07583b;
  font-size: 16px;
  text-decoration: underline;
  font-family: "Inter", Sans-Serif;
}
footer div {
  display: grid;
  gap: 20px;
}
@media (max-width: 440px) {
  footer {
    margin-top: 100px;
    margin-bottom: 40px;
    flex-direction: column;
  }
}
